FcFileScan(3)

NAME
FcFileScan - scan a font file

SYNOPSIS

#include <fontconfig.h>

FcBool FcFileScan (FcFontSet *set, FcStrSet *dirs, FcFileCache *cache, FcBlanks *blanks, const char *file, FcBool force);

DESCRIPTION

Scans a single file and adds all fonts found to set. If force is FcTrue, then the file is scanned even if associated information is found in cache. If file is a directory, it is added to dirs.

VERSION

Fontconfig version 2.4.2